\exo{}
Soit $n \in\N^*$. Déterminer un $dl_{n+1}(0)$ de 
\begin{equation*}
  f_n : x \mapsto \ln\left( 1 +x + \frac{x^2}{2} + \ldots + \frac{x^n}{n!}\right)
\end{equation*}





\ifwithcorrection \correction 
On reconnait le $dl$ de $\exp$ en $0$, donc :
\begin{align*}
  f_n(x) &= \ln\left( e^x - \frac{x^{n+1}}{(n+1)!} + o(x^{n+1})\right) \\ 
         &=\ln\left(e^x \left(1 - \frac{x^{n+1}}{e^x (n+1)!} + o\left(\frac{x^{n+1}}{e^x}\right)\right)\right) \\ 
  (e^x \sim_{x\to 0} 1)      &= x + \ln\left(1 - \frac{x^{n+1}}{e^x (n+1)!} + o(x^{n+1})\right) \\  
                             &= x - \frac{x^{n+1}}{(n+1)!(1+ o(1))} + o(x^{n+1}) = x - \frac{x^{n+1}}{(n+1)!} + o(x^{n+1})  
\end{align*}

\fi
